Get Fiat List for Buy
POST /papi/v1/ramp/connect/prime/buy/fiat-list
Request Body
| Field | Type | Mandatory | Remarks |
|---|---|---|---|
| userId | string | Yes | Customer’s Binance sub-account ID |
Example
{
"userId": "54321123456"
}
curl -X POST https://{domain}/papi/v1/ramp/connect/prime/buy/fiat-list \
-H 'Content-Type: application/json' \
-H 'X-Tesla-ClientId: {your client id}' \
-H 'X-Tesla-SignAccessToken: {your access token}' \
-H 'X-Tesla-Timestamp: {now}' \
-H 'X-Tesla-Signature: {signature}' \
-d '{"userId":"{testUserId}"}'
Response Body
| Field | Type | Remarks |
|---|---|---|
| fiatCurrencies | object array | fiat currency list |
| └─ currency | string | fiat currency code |
| └─ precision | int | the precision of fiat currency |
Example
{
"fiatCurrencies": [
{
"currency": "AUD",
"precision": 2
},
{
"currency": "USD",
"precision": 2
},
{
"currency": "EUR",
"precision": 2
}
]
}